"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var async_wrapper_1 = require("./async-wrapper");
var wrapper_1 = require("./wrapper");
function isAsyncIterable(iterable) {
    return !!iterable[Symbol.asyncIterator];
}
function transform(iterable) {
    if (isAsyncIterable(iterable)) {
        return new async_wrapper_1.AsyncWrapper(iterable);
    }
    else {
        return new wrapper_1.Wrapper(iterable);
    }
}
exports.transform = transform;
